Subject: Re: Git 2.54.0-rc1, subtests of t5310, t5326, t5327

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 10 Apr 2026 06:34:32 +0200

On Thu, Apr 09, 2026 at 06:58:06PM -0400, Jeff King wrote:
> On Thu, Apr 09, 2026 at 06:40:00PM -0400, [email-masked] wrote:
> 
> > >> Please do not make the change in git-compat-util. This will break xwrite().
> > >> We already have MAX_IO_SIZE working and verified from years ago.
> > >> Changing that will remove our platform from being supportable.
> > >
> > >I think that was just there to demonstrate that the patch works regardless of the
> > >size, and would not be included in the final.
> > >Building with:
> > >
> > >  make CFLAGS=-DMAX_IO_SIZE=128
> > >
> > >is probably a nicer way of doing that, though. ;)
> > 
> > We had that set properly in git-compat-util.h for years. MAX_IO_SIZE should be set to SSIZE_MAX if SSIZE_MAX is defined.
> > #ifndef MAX_IO_SIZE
> > # define MAX_IO_SIZE_DEFAULT (8*1024*1024)
> > # if defined(SSIZE_MAX) && (SSIZE_MAX < MAX_IO_SIZE_DEFAULT)
> > #  define MAX_IO_SIZE SSIZE_MAX
> > # else
> > #  define MAX_IO_SIZE MAX_IO_SIZE_DEFAULT
> 
> Right. We would retain that. I think the point was that Patrick was
> dropping MAX_IO_SIZE artificially on his Linux system to exercise the
> new code.

Yup, exactly. I don't have any intent to change the above snippet in our
code base.

Patrick